package com.liu.demo.controller;

import com.liu.demo.config.DemoConfig;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gdLiu
 * @date 2025/1/17 下午19:06
 */
@RestController
@RequestMapping("/test")
public class TestController {

    @Resource
    private DemoConfig demoConfig;

    @GetMapping("/title")
    public String getTitle() {
        return demoConfig.getTitle();
    }
}
